.control-pannel {
    &__top, &__bottom  {
        position: absolute;
        background-color: #f0f0f0;
        width: 100vw;
        z-index: 10000;
        left: 50%;
        padding: 2% 1%;
        align-items: center;
        transform: translateX(-50%);
        height: 2vh;

    }
   

    &__top {
        top: 0;
        display: flex;
        place-content: space-between;
        border-bottom: 1px solid #bbbbbb;
        height: auto;
        padding: 10px;
        &--left {

        }
    }

    &__bottom {
        bottom: 0;
        border-top: 1px solid #bbbbbb;
        text-align: center;

        height: auto;
        padding: 0;
    
        display: flex;
        justify-content: space-between;

        &--button {
            margin: 0px 2px;
            min-width: 8rem;

            font-size: 0.8rem;
            & i {
                font-size: 2rem;

            }
        }
    }

    &__side {
        position: absolute;
        left: 0;
        top: 50%;
        transform: translateY(-50%);
       
        
        height: 50vh;
        width: 300px;

        transition: all ease-in-out 200ms;


        &-container {

        
            background-color: #ffffffeb;
            height: 100%;
            width: 100%;
            opacity: 1;
            overflow: auto;
            padding: 1%;
            
            
            &-list {
                list-style: none;
                padding: 0;
                margin: 5%;

                & li {
                    padding: 2%;
                    display: flex;
                    justify-content: space-between;
                    &:hover {
                        cursor: pointer;
                        // background-color: rgb(75, 75, 75);
                        // color: #ffffff;
                    }
                    
                }
            }



            &.hide {
                width: 0;
                opacity: 0;
            }


            &-site-data {
                & ul {
                    width: 90%;
                    margin: auto;

                    & li {
                        display: flex;
                        justify-content: space-between;
                    }
                }
            }
        }
        &.hide {
            width: 30px;
        }

        & .hide_show_btn {
            position: absolute;
            top: 0%;
            right: 0%;
            height: 30px;
            width: 30px;
            text-align: center;
            background-color: #ffffffeb;

            &.hide {
                left: 0%;
            }

        }
    }

    &__main-layout {
        position: absolute;
        top: 7%;
        right: 5px;
        background-color: #ffffffeb;
        padding: 1%;
        width: 400px;
        transition: all ease-in-out 200ms;
        opacity: 1;

        &.hide {
            top: 3%;
            height: 0;
        }
        &-container {
            width: 100%;
            height: 100%;

            &.hide {
                // width: 100%;
                opacity: 0;
            }
        }

        & .label-flex {
            display: flex;
            justify-content: space-between;
        }

        & .hide_show_btn {
            position: absolute;
            top: 2%;
            right: 0%;
            height: 30px;
            width: 30px;
            text-align: center;
            background-color: #ffffffeb;

            &.hide {
                top: 100%;
                height: 22px;
            }

        }

    }

}

.main-layout {
    height: 94vh;
    width: 100vw;

    & canvas {
        height: 100%;
        width: 100%;
    }

    &__mini-map {
        height: 5vh;
        width: 5vw;

        & canvas {
            height: 100%;
            width: 100%;
        }
    }
}

.info-modal {
    position: absolute;
    right: 5px;
    top: 23%;
    min-height: 60vh;
    max-height: 70vh;
    width: 400px;
    background-color: #ffffffeb;
    overflow: auto;
    padding: 1%;
    
    &__image {
        width: 350px;
        height: auto;
        margin: auto;

    }

    &__list {

        & li {
            display: flex;
            justify-content: space-between;
        }
    }
}